-- Atualizando 

-- select * from genero ;

UPDATE GENERO SET NOME = 'Ação e aventura' WHERE NOME = 'Aventura' ; 
UPDATE GENERO SET NOME = 'Ficção científica' WHERE ID = 3; 
UPDATE GENERO SET NOME = 'Policial' WHERE NOME = 'Romance' ; 

-- SELECT * FROM ATOR;
UPDATE ATOR SET PRIMEIRO_NOME = 'Catherine'  , ULTIMO_NOME='Zeta-Jones' , LOCAL_NASCIMENTO = 'Inglaterra '  , ANIVERSARIO = '1969-09-25' WHERE ID = 1 ; 
UPDATE ATOR SET PRIMEIRO_NOME = 'Mark'  , ULTIMO_NOME='Hamill' , LOCAL_NASCIMENTO = 'EUA'  , ANIVERSARIO = '1969-09-26' WHERE ID = 2 ; 
UPDATE ATOR SET PRIMEIRO_NOME = 'Carrie'  , ULTIMO_NOME='Fisher' , LOCAL_NASCIMENTO = 'EUA'  , ANIVERSARIO = '1969-09-27' WHERE ID = 3 ; 
UPDATE ATOR SET PRIMEIRO_NOME = 'Christian'  , ULTIMO_NOME='Bale' , LOCAL_NASCIMENTO = 'Reino Unido'  , ANIVERSARIO = '1969-09-28' WHERE ID = 4 ; 
UPDATE ATOR SET PRIMEIRO_NOME = 'Antonio'  , ULTIMO_NOME='Banderas' , LOCAL_NASCIMENTO = 'Espanha'  , ANIVERSARIO = '1969-09-29' WHERE ID = 5 ; 
UPDATE ATOR SET PRIMEIRO_NOME = 'Katie'  , ULTIMO_NOME='Holmes' , LOCAL_NASCIMENTO = 'EUA'  , ANIVERSARIO = '1969-09-30' WHERE ID = 6 ; 
UPDATE ATOR SET PRIMEIRO_NOME = 'Michael'  , ULTIMO_NOME='Caine' , LOCAL_NASCIMENTO = 'Reino Unido'  , ANIVERSARIO = '1969-10-01' WHERE ID = 7 ; 
UPDATE ATOR SET PRIMEIRO_NOME = 'Anthony'  , ULTIMO_NOME='Hopkins' , LOCAL_NASCIMENTO = 'Reino Unido'  , ANIVERSARIO = '1969-10-02' WHERE ID = 8 ; 
UPDATE ATOR SET PRIMEIRO_NOME = 'Harrison'  , ULTIMO_NOME='Ford' , LOCAL_NASCIMENTO = 'EUA'  , ANIVERSARIO = '1969-10-03' WHERE ID = 9 ; 
UPDATE ATOR SET PRIMEIRO_NOME = 'Tom'  , ULTIMO_NOME='Cruise' , LOCAL_NASCIMENTO = 'Reino Unido'  , ANIVERSARIO = '1969-10-04' WHERE ID = 10 ; 

-- SELECT * FROM DIRETOR;
UPDATE DIRETOR SET PRIMEIRO_NOME = 'Christopher'  , ULTIMO_NOME='Nolan' , LOCAL_NASCIMENTO = 'Reino Unido '  , ANIVERSARIO = '1970-06-30' WHERE ID = 1 ; 
UPDATE DIRETOR SET PRIMEIRO_NOME = 'Martin'  , ULTIMO_NOME='Campbell' , LOCAL_NASCIMENTO = 'Nova Zelândia'  , ANIVERSARIO = '1943-10-24' WHERE ID = 2 ; 
UPDATE DIRETOR SET PRIMEIRO_NOME = 'Richard'  , ULTIMO_NOME='Marquand' , LOCAL_NASCIMENTO = 'Reino Unido'  , ANIVERSARIO = '1937-09-22' WHERE ID = 3 ; 
UPDATE DIRETOR SET PRIMEIRO_NOME = 'Steven'  , ULTIMO_NOME='Spielberg' , LOCAL_NASCIMENTO = 'EUA'  , ANIVERSARIO = '1946-12-18' WHERE ID = 4 ; 
UPDATE DIRETOR SET PRIMEIRO_NOME = 'Edward'  , ULTIMO_NOME='Zwick' , LOCAL_NASCIMENTO = 'EUA'  , ANIVERSARIO = '1952-10-08' WHERE ID = 5 ; 

-- SELECT * FROM FILME ;

UPDATE FILME SET TITULO = 'Batman Begins' , ANO_LANCAMENTO = 2005 , AVALIACAO = 8 , TEMPO_DURACAO = 140 , ID_DIRETOR = 1 , ID_GENERO = 1 
WHERE ID = 1 ;
INSERT INTO FILME_ATOR(ID_FILME , ID_ATOR) VALUES (1,1) ; 
INSERT INTO FILME_ATOR(ID_FILME , ID_ATOR) VALUES (1,6) ; 
INSERT INTO FILME_ATOR(ID_FILME , ID_ATOR) VALUES (1,4) ; 

UPDATE FILME SET TITULO = 'Batman: O Cavaleiro das Trevas' , ANO_LANCAMENTO = 2008 , AVALIACAO = 9, TEMPO_DURACAO = 152 , ID_DIRETOR = 1  , ID_GENERO = 1
WHERE ID = 2 ;
INSERT INTO FILME_ATOR(ID_FILME , ID_ATOR) VALUES (2,4) ; 
INSERT INTO FILME_ATOR(ID_FILME , ID_ATOR) VALUES (2,7) ; 

UPDATE FILME SET TITULO = 'A Máscara do Zorro' , ANO_LANCAMENTO = 1998 , AVALIACAO = 7, TEMPO_DURACAO = 137 , ID_DIRETOR = 2 , ID_GENERO = 1
WHERE ID = 3 ;
INSERT INTO FILME_ATOR(ID_FILME , ID_ATOR) VALUES (3,1) ; 
INSERT INTO FILME_ATOR(ID_FILME , ID_ATOR) VALUES (3,5) ; 
INSERT INTO FILME_ATOR(ID_FILME , ID_ATOR) VALUES (3,8) ; 

UPDATE FILME SET TITULO = 'Star Wars: O Retorno de Jedi' , ANO_LANCAMENTO = 1983 , AVALIACAO = 10, TEMPO_DURACAO = 134 , ID_DIRETOR = 3 , ID_GENERO = 1
WHERE ID = 4 ;
INSERT INTO FILME_ATOR(ID_FILME , ID_ATOR) VALUES (4,9) ; 
INSERT INTO FILME_ATOR(ID_FILME , ID_ATOR) VALUES (4,3) ; 
INSERT INTO FILME_ATOR(ID_FILME , ID_ATOR) VALUES (4,2) ; 
 
UPDATE FILME SET TITULO = 'Indiana Jones e os Caçadores da Arca Perdida' , ANO_LANCAMENTO = 1981  , AVALIACAO = 10 , TEMPO_DURACAO = 115 , ID_DIRETOR = 4  , ID_GENERO = 1
WHERE ID = 5 ;
INSERT INTO FILME_ATOR(ID_FILME , ID_ATOR) VALUES (5,9) ; 

UPDATE FILME SET TITULO = 'Minority Report - A Nova Lei' , ANO_LANCAMENTO = 2002 , AVALIACAO = 9 , TEMPO_DURACAO = 145  , ID_DIRETOR = 4 , ID_GENERO = 1
WHERE ID = 6 ;
INSERT INTO FILME_ATOR(ID_FILME , ID_ATOR) VALUES (6,10) ; 

UPDATE FILME SET TITULO = 'Indiana Jones e a Última Cruzada' , ANO_LANCAMENTO = 1989 , AVALIACAO = 10 , TEMPO_DURACAO = 126  , ID_DIRETOR = 4 , ID_GENERO = 1
WHERE ID = 7 ;
INSERT INTO FILME_ATOR(ID_FILME , ID_ATOR) VALUES (7,9) ; 

UPDATE FILME SET TITULO = 'Indiana Jones e o Templo da Perdição' , ANO_LANCAMENTO = 1984 , AVALIACAO = 10 , TEMPO_DURACAO = 118  , ID_DIRETOR = 4 , ID_GENERO = 1
WHERE ID = 8 ;
INSERT INTO FILME_ATOR(ID_FILME , ID_ATOR) VALUES (8,9) ; 


UPDATE FILME SET TITULO = 'O Último Samurai' , ANO_LANCAMENTO = 2003 , AVALIACAO = 10 , TEMPO_DURACAO = 154  , ID_DIRETOR = 5 , ID_GENERO = 4
WHERE ID = 9 ;
INSERT INTO FILME_ATOR(ID_FILME , ID_ATOR) VALUES (9,9) ; 


UPDATE FILME SET TITULO = 'O Grande Truque' , ANO_LANCAMENTO = 2007 , AVALIACAO = 5 , TEMPO_DURACAO = 130  , ID_DIRETOR = 1 , ID_GENERO = 5
WHERE ID = 10 ;
INSERT INTO FILME_ATOR(ID_FILME , ID_ATOR) VALUES (10,4) ; 
INSERT INTO FILME_ATOR(ID_FILME , ID_ATOR) VALUES (10,7) ; 





-- SELECT * FROM FILME_ATOR;